# Scalable delivery of FAIR training in Life Sciences using Galaxy and the Carpentries training material

**Project Number:** 8

## Research area alignment

- Training Platform, Galaxy, Bioinformatics Training, Train the Researcher

## Merged from

- Development of a suite of web tools to facilitate contribution to the training materials for Galaxy
- Scalable delivery of FAIR training in Life Sciences using Galaxy and the Carpentries training material
- Galaxy Training Material content expansion

## Team

**Submitter:** Saskia Hiltemann

### Proponent(s)

- Saskia Hiltemann

### Lead(s)

- Helena Rasche
- Saskia Hiltemann
- Bérénice Batut
- Mateusz Kuzak
- Fotis Psomopoulos

### Nominated participant(s)

- Helena Rasche - Systems administrator for usegalaxy.eu + their Training Infrastructure as a Service, and expert on Galaxy training materials infrastructure 
- Saskia Hiltemann - Co-developer of the Galaxy training materials infrastructure and frequent contributor of training materials
- Bérénice Batut - Community manager of Galaxy Training Network and co-developer of the training materials infrastructure.
- Fotis Psomopoulos - Lesson developer for the Carpentries and Gallantries project member
- Mateusz Kuzak - Instructor trainer for the Carpentries and Gallantries project member
- Anne Fiebig - Plant scientist developing plant genomics community in Germany.

## Expected outcomes

- Discussion with the different ELIXIR communities regarding training needs (Galaxy, the Carpentries, hybrid training, etc) and their involvement
- Evaluation and development of pilot case of scaled up hybrid training within ELIXIR 
- Mentoring of interested communities
  - Teaching use of Galaxy Training Materials, the Carpentries and Gallantries infrastructure
  - Planning the development of new materials and new events
  - Identifying useful resources for their community
  - Assistance getting started developing new training materials
  - Teaching training best practices
- Improvement of contributions to the Galaxy Training Materials
  - Evaluation of contribution barriers during discussions
  - Evaluation of current strategies of different training communities to support their contributors
  - Exploration of possibility to generate live website previews for the Galaxy Training Materials
  - CoFest
- Review and Release of Gallantries lessons
- Development of handbook for Gallantries events

## Expected audience

- Type of participants: training developers, trainers and members of the different ELIXIR communities, web developers
- Knowledge: Training needs (optional: Bioinformatics, Galaxy training materials, Markdown, Git/GitHub)
- Skills: None (optional: Markdown, Git/GitHub, Galaxy, Training)

**Number of expected hacking days**: 4

